@echo off
For %%a in ("%~dp0getword\*.dll") do regsvr32.exe  /u /s %%a
reg delete "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\3" /f
reg delete "HKLM\SOFTWARE\Classes\Wow6432Node\CLSID\{42DE2BE7-C1ED-4D41-AC31-CB66D074C82B}" /f
reg delete "HKLM\SOFTWARE\Classes\CLSID\{42DE2BE7-C1ED-4D41-AC31-CB66D074C82B}" /f
reg delete "HKCR\Installer\Features\4080110900063D11C8EF10054038389C" /v "ProductNonBootFiles" /f
reg add "HKCU\Software\Microsoft\Office\11.0\Word\Options" /v NoReReg /t REG_DWORD /d 1 /f
reg add "HKCU\Software\Microsoft\Office\12.0\Word\Options" /v NoReReg /t REG_DWORD /d 1 /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer" /v DisallowRun /t REG_DWORD /d 1 /f
reg delete "HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\DisallowRun" /va /f
For %%a in ("%~dp0getword\*.dll") do regsvr32.exe /s %%a
For %%a in ("%~dp0*.dll") do regsvr32.exe /s %%a
For %%a in ("%~dp0*.OCX") do regsvr32.exe /s %%a
echo.
echo 已经将软件根目录下的组件复制到系统目录下，将不再出现兼容性错误！
echo.
